API ReferenceapicommsGET /v1/attachments/{id}/download-url

GET /v1/attachments/\{id\}/download-url

Service: comms · operationId: (none)

Get a short-lived signed download URL for an attachment. TTL is 5 minutes (PHI).

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Signed download URL

{
  "type": "object",
  "properties": {
    "url": {
      "type": "string"
    },
    "expires_in": {
      "type": "number"
    }
  },
  "required": [
    "url",
    "expires_in"
  ]
}

404 Attachment not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

503 Attachment service not available

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/attachments/{id}/download-url \
  -H "Authorization: Bearer $ACCESS_TOKEN"